=== debian/changelog ===
wayfire (0.7.4-3+deb12u1) bookworm; urgency=medium

  * debian/control: Add missing -dev package dependency for
    wayfire-dev package. (Closes: #1064011)

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Feb 2024 10:17:37 -0500

wayfire (0.7.4-3) unstable; urgency=medium

  * debian/control: Let libwf-utils-dev depends on libwf-utils0.
    (Closes: #1035440)

 -- Boyuan Yang <byang@debian.org>  Wed, 03 May 2023 15:25:12 -0400

wayfire (0.7.4-2) unstable; urgency=medium

  * debian/patches: Apply patch to fix package reproducibility.
    (Closes: #1016486)

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Aug 2022 10:39:50 -0400

wayfire (0.7.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 31 Jul 2022 10:29:34 -0400

wayfire (0.7.3-1) unstable; urgency=medium

  * Initial release. (Closes: #953892)

 -- Boyuan Yang <byang@debian.org>  Thu, 05 May 2022 12:03:58 -0400
