## wayfire 0.7.5

=== debian/changelog ===
wayfire (0.7.5-2) unstable; urgency=medium

  * debian/control: Add missing -dev package dependency for
    wayfire-dev package.

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Sep 2023 09:46:30 -0400

wayfire (0.7.5-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/0001-Fix-FTBFS-with-gcc-13.patch: Fix FTBFS with
    gcc 13. (Closes: #1037892)

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jul 2023 17:03:49 -0400

wayfire (0.7.5-1~exp2) experimental; urgency=high

  * debian/control: Let libwf-utils-dev depends on libwf-utils0.
    (Closes: #1035440)

 -- Boyuan Yang <byang@debian.org>  Wed, 03 May 2023 15:20:17 -0400

wayfire (0.7.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Dropped, merged upstream.
  * debian/control: Require wlroots (>= 0.16).

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Dec 2022 15:45:49 -0500
