=== debian/control ===
--- 
+++ 
@@ -19,13 +19,13 @@
  libpng-dev,
  libwayland-dev,
  libwf-config-dev,
- libwlroots-dev,
+ libwlroots-dev (>= 0.16),
  libxkbcommon-dev,
  libxml2-dev,
  meson,
  pkg-config,
  wayland-protocols,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wayfire.org/
 Vcs-Git: https://salsa.debian.org/debian/wayfire.git
