## wayfire 0.8.0+git20240110

=== meson_options.txt ===
--- 
+++ 
@@ -4,3 +4,5 @@
 option('xwayland', type: 'feature', value: 'auto', description: 'Build with xwayland support. Requires wlroots also built with xwayland support')
 option('default_config_backend', type: 'string', value: 'default', description: 'Default configuration backend to use')
 option('print_trace', type: 'boolean', value: true, description: 'Print stack trace in debug logs (disables coredump)')
+option('tests', type: 'feature', value: 'auto', description: 'Enable unit tests')
+option('debug_ipc', type: 'boolean', value: 'true', description: 'Enable debugging IPC')
