=== debian/changelog ===
wayfire (0.8.0+git20240110-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:39:14 +1100

wayfire (0.8.0+git20240110-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063065

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 01:52:00 +0000

wayfire (0.8.0+git20240110-2) unstable; urgency=medium

  * debian/patches/d02f4efbc5aa875f4139b5b63c9a882237e594db.patch: 
    Add patch from upstream trunk to fix 0.8.0 regression where
    modal windows opened as a tile. (upstream issue 1990)
  * debian/patches/1ecf72a565e9d8bbda81ea04a7b60471ce81dbce.patch:
    Ignore SIGPIPE globally. (upstream issue 2096)

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Feb 2024 10:46:33 -0500

wayfire (0.8.0+git20240110-1) unstable; urgency=medium

  * New upstream trunk snapshot.
    + Supports wlroots 0.17. (Closes: #1058494)
  * debian/control: Update build-dependencies accordingly.
  * debian/control: Add dependency on libglx-vendor. (Closes: #1033938)
  * debian/patches: Drop old patches, add patch to relax wf-config
    version requirement.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 09:57:41 -0500

wayfire (0.8.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Oct 2023 13:26:25 -0400

wayfire (0.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Enable switches to use system wlroots and
    wf-config libraries.
  * debian/patches: Dropped, merged upstream.
  * debian/patches/564b75a45d7c844b61b510e68fa527109fce4a75.patch:
    Add upstream patch from trunk to fix man page installation.
  * debian/wayfire.triggers: Circumvent lintian ldconfig error.
  * debian/control: Add new build-dependency nlohmann-json3-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Oct 2023 15:09:20 -0400
