=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: wayfire
 Section: x11
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
  doctest-dev <!nocheck>,
@@ -18,11 +19,12 @@
  libpixman-1-dev,
  libpng-dev,
  libwayland-dev,
- libwf-config-dev,
- libwlroots-dev (>= 0.16),
+ libwf-config-dev (>= 0.8),
+ libwlroots-dev (>= 0.17),
  libxkbcommon-dev,
  libxml2-dev,
  meson,
+ nlohmann-json3-dev,
  pkg-config,
  wayland-protocols,
 Standards-Version: 4.6.2
@@ -48,7 +50,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwf-utils0 (= ${binary:Version}),
+ libwf-utils0t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: 3D Wayland compositor (wf-utils library dev files)
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
@@ -58,7 +60,10 @@
  This package contains the development files for the embedded
  wf-utils library.
 
-Package: libwf-utils0
+Package: libwf-utils0t64
+Provides: ${t64:Provides}
+Replaces: libwf-utils0
+Breaks: libwf-utils0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -75,6 +80,7 @@
 Package: wayfire
 Architecture: any
 Depends:
+ libglx-vendor,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: 3D Wayland compositor
@@ -87,13 +93,14 @@
 Package: wayfire-dev
 Architecture: any
 Depends:
- ${misc:Depends},
- libwlroots-dev,
  libcairo-dev,
  libpango1.0-dev,
+ libpixman-1-dev,
  libwayland-dev,
- libpixman-1-dev,
  libwf-config-dev,
+ libwf-utils-dev,
+ libwlroots-dev,
+ ${misc:Depends},
 Description: 3D Wayland compositor (development files)
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
  wlroots. It aims to create a customizable, extendable and lightweight
