=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,12 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-Duse_system_wlroots=enabled \
+		-Duse_system_wfconfig=enabled \
+		$(NULL)
+
 execute_before_dh_autoreconf:
 	# Prepare subproject source code
 	mkdir subprojects || true
