=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/WayfireWM/wayfire/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
opts="component=wf-touch, mode=git, pgpmode=none" \
 https://github.com/WayfireWM/wf-touch \
 HEAD ignore
opts="component=wf-utils, mode=git, pgpmode=none" \
 https://github.com/WayfireWM/wf-utils \
 HEAD ignore
