## wayfire 0.8.1

=== debian/changelog ===
wayfire (0.8.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the packge. (See #1076391)

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 12:31:37 -0400

wayfire (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Mar 2024 18:57:33 -0400
