=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wayfire
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
@@ -19,7 +18,7 @@
  libpixman-1-dev,
  libpng-dev,
  libwayland-dev,
- libwf-config-dev (>= 0.8),
+ libwf-config-dev (>= 0.8.0),
  libwlroots-dev (>= 0.17),
  libxkbcommon-dev,
  libxml2-dev,
@@ -27,7 +26,7 @@
  nlohmann-json3-dev,
  pkg-config,
  wayland-protocols,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wayfire.org/
 Vcs-Git: https://salsa.debian.org/debian/wayfire.git
