=== meson_options.txt ===
option('enable_gles32', type: 'boolean', value: true, description: 'Enable usage of GLES 3.2')
option('enable_openmp', type: 'boolean', value: true, description: 'Enable usage of OpenMP')
option('use_system_wfconfig', type: 'feature', value: 'auto', description: 'Use the system-wide installation of wf-config')
option('use_system_wlroots', type: 'feature', value: 'auto', description: 'Use the system-wide installation of wlroots')
option('xwayland', type: 'feature', value: 'auto', description: 'Build with xwayland support. Requires wlroots also built with xwayland support')
option('default_config_backend', type: 'string', value: 'default', description: 'Default configuration backend to use')
option('print_trace', type: 'boolean', value: true, description: 'Print stack trace in debug logs (disables coredump)')
option('tests', type: 'feature', value: 'auto', description: 'Enable unit tests')
