=== debian/changelog ===
wayfire (0.9.0-5) unstable; urgency=medium

  * QA upload.

  [ Scott Moreau ]
  * ipc-input-methods: Pass device vendor/product id from libinput if available

  [ Chris Hofstaedtler ]
  * Break reform-firedecor using old wlroots

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 24 Dec 2024 13:08:54 +0100

wayfire (0.9.0-4) unstable; urgency=medium

  * debian/patches: expand patches for upstream branch track-wlroots
  * add debian/salsa-ci.yml

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 04 Dec 2024 13:59:44 +0100

wayfire (0.9.0-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: clean up subprojects directory (Closes: #1045910)
  * debian/patches: add patch for compatibility with wlroots 0.18

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 24 Nov 2024 18:19:01 +0100

wayfire (0.9.0-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2024 18:18:54 -0400

wayfire (0.9.0-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches/: Dropped, not needed anymore.
  * debian/control: Update build-dependency versions.
  * debian/control: Update build-dependencies to use libwlroots-0.18-dev.
  * debian/patches/80d6bcc6b2de023d99e4c5d8ed4a9cb8313b3196.patch:
    Add patch to fix compatibility with wf-touch git HEAD.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 15:00:52 -0400
