=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
  libpixman-1-dev,
  libpng-dev,
  libwayland-dev,
- libwf-config-dev (>= 0.8.0),
- libwlroots-dev (>= 0.17),
+ libwf-config-dev (>= 0.9.0),
+ libwlroots-0.18-dev,
  libxkbcommon-dev,
  libxml2-dev,
  meson,
  nlohmann-json3-dev,
- pkg-config,
+ pkgconf,
  wayland-protocols,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -82,6 +82,8 @@
  libglx-vendor,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ reform-firedecor (<< 2023-10-23-8)
 Description: 3D Wayland compositor
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
  wlroots. It aims to create a customizable, extendable and lightweight
@@ -98,7 +100,7 @@
  libwayland-dev,
  libwf-config-dev,
  libwf-utils-dev,
- libwlroots-dev,
+ libwlroots-0.18-dev,
  ${misc:Depends},
 Description: 3D Wayland compositor (development files)
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
