=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,12 @@
 
 execute_before_dh_autoreconf:
 	# Prepare subproject source code
-	mkdir subprojects || true
-	cp -r wf-touch subprojects/
-	cp -r wf-utils subprojects/
+	# dpkg unpacks components into directories in the root of the unpacked
+	# source package but we need them to be in the subprojects directory
+	rm -rf subprojects
+	mkdir subprojects
+	ln -s ../wf-touch subprojects/wf-touch
+	ln -s ../wf-utils subprojects/wf-utils
+
+execute_after_dh_auto_clean:
+	rm -rf subprojects/
