## wayfire 0.10.0

=== debian/changelog ===
wayfire (0.10.0-1) unstable; urgency=medium

  * QA upload
  * New upstream release (Closes: #1111152)
  * debian/patches: drop old patches that are not needed anymore
  * debian/patches: add backported bugfixes since the last release
  * debian/control: update wlroots and json dependencies
  * debian/*install: update installed files

 -- Daniel Kondor <kondor.dani@gmail.com>  Sun, 16 Nov 2025 12:51:42 +0100
