=== debian/control ===
--- 
+++ 
@@ -18,12 +18,12 @@
  libpixman-1-dev,
  libpng-dev,
  libwayland-dev,
- libwf-config-dev (>= 0.9.0),
- libwlroots-0.18-dev,
+ libwf-config-dev (>= 0.10.0),
+ libwlroots-0.19-dev,
  libxkbcommon-dev,
  libxml2-dev,
+ libyyjson-dev,
  meson,
- nlohmann-json3-dev,
  pkgconf,
  wayland-protocols,
 Standards-Version: 4.7.0
@@ -100,7 +100,8 @@
  libwayland-dev,
  libwf-config-dev,
  libwf-utils-dev,
- libwlroots-0.18-dev,
+ libwlroots-0.19-dev,
+ libyyjson-dev,
  ${misc:Depends},
 Description: 3D Wayland compositor (development files)
  Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
